commit:     4b07dfddac1db3c0a30a1c1424ed3813446fa878
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 16 02:54:02 2018 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Fri Feb 16 02:54:02 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4b07dfdd

dev-python/Babel: 2.5.3 bup

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-python/Babel/Babel-2.5.3.ebuild | 48 +++++++++++++++++++++++++++++++++++++
 dev-python/Babel/Manifest           |  1 +
 2 files changed, 49 insertions(+)

diff --git a/dev-python/Babel/Babel-2.5.3.ebuild 
b/dev-python/Babel/Babel-2.5.3.ebuild
new file mode 100644
index 00000000000..002805adb21
--- /dev/null
+++ b/dev-python/Babel/Babel-2.5.3.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy{,3} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Collection of tools for internationalizing Python applications"
+HOMEPAGE="http://babel.edgewall.org/ https://pypi.python.org/pypi/Babel";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~x64-solaris"
+IUSE="doc test"
+
+RDEPEND="dev-python/pytz[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]"
+DEPEND="${DEPEND}
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+       test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+python_prepare_all() {
+       # Make the tests use implementation-specific datadir,
+       # because they try to write in it.
+       sed -e '/datadir 
=/s:os\.path\.dirname(__file__):os.environ["BUILD_DIR"]:' \
+               -i tests/messages/test_frontend.py || die
+       sed -e '/^intersphinx_mapping/,+3d' -i docs/conf.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       # Create implementation-specific datadir for tests.
+       cp -R -l tests/messages/data "${BUILD_DIR}"/ || die
+       py.test || die
+}
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/_build/html/. )
+       distutils-r1_python_install_all
+}

diff --git a/dev-python/Babel/Manifest b/dev-python/Babel/Manifest
index 311dc91cc7c..0dcd35c7785 100644
--- a/dev-python/Babel/Manifest
+++ b/dev-python/Babel/Manifest
@@ -1 +1,2 @@
 DIST Babel-2.5.0.tar.gz 6612353 BLAKE2B 
85268f0226f1db019fb906da0dfbbc6b6aa199ab491e9d767c932fb5ca77cb6d86328ebaa9c6eb61fb8d28c8e566babd435cdcee9b900c3c680d0dfb49c2bcac
 SHA512 
b24b74121695e0068fb28a6294d4b5b2065e94dcd62ca0d70c8fde3a00cb5ff111480505594460989c6f67a75935f55e153b1b493f917317d2c5ee0f0d7921fc
+DIST Babel-2.5.3.tar.gz 6611941 BLAKE2B 
99b71642b00a853fea844220c0ce5ef2fe425906cbdd1618e31f39b60d16382d54ff5e00c493153eee2be8894edc8c96e57fc2703620db5bafcf7b7a4f1b72ef
 SHA512 
1a41f69141da9f66e27110e7a1a5955f76d8ae9353ff7e54182c5bb6ca16e8b4799031e4df1049af54de513da9f101e171e4312b2e7775f2cab9116d5b50c0fb

Reply via email to